> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--vibesec/queries/get-ai-bom-newly-added-items.md).

# getAiBomNewlyAddedItems

Get most recently detected AI BOM entities, newest first.

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
query GetAiBomNewlyAddedItems($input: AiBomNewlyAddedInput) {
  getAiBomNewlyAddedItems(input: $input) {
    name
    entityType
    identifier
    createdAt
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "input": {
    "dateRange": {
      "from": 1749000000000,
      "to": 1749900000000
    },
    "entityType": "McpServer",
    "limit": 100,
    "offset": 0
  }
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "query GetAiBomNewlyAddedItems($input: AiBomNewlyAddedInput) { getAiBomNewlyAddedItems(input: $input) { name entityType identifier createdAt } }",
 "variables": {
    "input": {
      "dateRange": {
        "from": 1749000000000,
        "to": 1749900000000
      },
      "entityType": "McpServer",
      "limit": 100,
      "offset": 0
    }
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'query GetAiBomNewlyAddedItems($input: AiBomNewlyAddedInput) { getAiBomNewlyAddedItems(input: $input) { name entityType identifier createdAt } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      input: {
        dateRange: {
          from: 1749000000000,
          to: 1749900000000
        },
        entityType: "McpServer",
        limit: 100,
        offset: 0
      }
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'query GetAiBomNewlyAddedItems($input: AiBomNewlyAddedInput) { getAiBomNewlyAddedItems(input: $input) { name entityType identifier createdAt } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "input": {
        "dateRange": {
          "from": 1749000000000,
          "to": 1749900000000
        },
        "entityType": "McpServer",
        "limit": 100,
        "offset": 0
      }
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `getAiBomNewlyAddedItems` query.

| Argument                                                                                                               | Description                                                | Supported fields                                                                                                                                                                                                                      |
| ---------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| input [`AiBomNewlyAddedInput`](/api-documentation/api-reference/api--vibesec/types/inputs/ai-bom-newly-added-input.md) | Optional date range, entity type filter, limit, and offset | <p>dateRange <a href="/api-documentation/api-reference/api--vibesec/types/inputs/vibe-sec-date-range.md"><code>VibeSecDateRange</code></a><br>entityType <code>String</code><br>limit <code>Int</code><br>offset <code>Int</code></p> |

### Fields

Return type: [`[AiBomNewlyAddedItem!]!`](/api-documentation/api-reference/api--vibesec/types/objects/ai-bom-newly-added-item.md)

You can use the following field(s) to specify what information your `getAiBomNewlyAddedItems` query will return. Please note that some fields may have their own subfields.

| Field                 | Description                                                                    | Supported fields |
| --------------------- | ------------------------------------------------------------------------------ | ---------------- |
| name `String!`        | Display name of the AI BOM entity                                              |                  |
| entityType `String!`  | AI BOM entity type (McpServer, ExternalSaas, AiModel, Skill)                   |                  |
| identifier `String`   | Stable identifier for deep links (skill content hash); null when name suffices |                  |
| createdAt `DateTime!` | When the entity was first detected                                             |                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ox.security/api-documentation/api-reference/api--vibesec/queries/get-ai-bom-newly-added-items.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
